<?php
@header("content-Type:text/html; charset=utf-8");
/*
PHP整站防注程序,需要在公共文件中reqire_once本文件
by 风尘浪子 QQ：156544632 http://156544632.cn
*/
// 判断 magic_quotes_gpc 状态

if (@get_magic_quotes_gpc()) {
    $_GET = sec($_GET);
    $_POST = sec($_POST);
    $_COOKIE = sec($_COOKIE);
    $_FILES = sec($_FILES);
}
$_SERVER = sec($_SERVER);


function sec(&$array) {
//如果是数组
	if (is_array($array)) {
//遍历数组
		foreach ($array as $k => $v) {
//递归调用
			$array[$k] = sec($v);
		}
	} else if (is_string($array)) {
//stripslashes函数来处理
		$array = addslashes($array);
	}else if (is_numeric($array)) {
//intval函数来处理
		$array = intval($array);
	}
	return $array;
}

function num_check($id) {
  if (!$id) {die('参数不能为空！'); }    // 是否为空判断
  elseif (inject_check($id)) { die('非法参数！'); }    // 注射判断
  elseif (!is_numeric($id)) { die('非法参数！'); }    // 数字判断
  $id = intval($id);    // 整型化
  return  $id;
}

function str_check( $str) {
  $str= htmlspecialchars($str);  //转换Html
  return $str;
}
function search_check( $str) {
		$str = str_replace("_", "\_", $str);    // 把 '_'过滤掉
		$str = str_replace("%", "\%", $str);    // 把 '%'过滤掉
		$str= htmlspecialchars($str);  //转换Html
  return $str;
}

function post_check( $str,$min,$max) {
if(isset($min)&&strlen($str) < $min){
	die("最少$min字节");
}elseif(isset($max)&&strlen($str) >$max){
	die("最多$max字节");
}
  return stripslashes_array($str);
}

function inject_check($sql_str) {
  return eregi('select|insert|update|delete|\'|\/\*|\*|\.\.\/|\.\/|union|into|load_file|outfile', $sql_str);    // 进行过滤
}


?>